*{
  margin: 0;
  padding: 0;
}

body {
  margin: 78px 0 0 0;
  padding: 0;
  list-style: none;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background-color: #101010;
}


/* Estilos para el encabezado (header) */
header {
  background-color: #333;
  color: white;
  text-align: center;
  padding: 10px 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0.95;
  height: 8vh;
  z-index: 1000;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1100px;
  margin: 0 auto;
}

.adsoHEADER {
  font-size: 28px;
  text-decoration: none;
  color: rgb(156, 1, 11);
}

.inicioHEADER {
  color: rgb(156, 1, 11);
  font-size: 18px;
}

.adsoHEADER:hover {
  text-decoration: wavy;
  color: #0078d4;
}

ul {
  display: flex;
  list-style: none;
}

ul li {
  margin-right: 1vw;
}

ul li a {
  text-decoration: none;
  color: white;
  font-size: 16px;
}

header a {
  color: white;
}

header a:hover {
  text-decoration: underline;
  color: #0078d4;
}

ul li a:hover {
  text-decoration: underline;
  color: #0078d4;
}

/* Estilos para redes sociales en el header */
ul div.yt,
ul div.fb,
ul div.insta {
  margin-right: 10px;
  font-size: 20px;
}

/* Estilos para el contenido principal */
main {
  width: 100%;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/* Estilos para la sección "Inicio" */

.INICIO {
  text-align: center;
  align-items: center;
  justify-content: center;
  display: flex;
  background-image: url(./imagenes/wallpaper_1366x768_book-1-1140x640.jpg);
  background-size: cover;
  height: 90vh;
  scroll-margin-top: 5ex;
}

.INIsec {
  font-size: 24px;
  color: white;
}

.NombrePRESEN {
  color: #0078d4;
}

.BTN {
  background-color: #0078d4;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.BTN a {
  color: white;
  text-decoration: none;
}

.BTN:hover {
  background-color: #00379e;
  font-size: 0.8em;
}

/* Estilos para la sección "Sobre Mí" */
.SOBRE-MI {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 5% 20%;
  height: 80vh;
  scroll-margin-top: 5ex;
}

.SobremiDIVP {
  display: flex;
}

.ImagenPersonal {
  background-image: url(./imagenes/WhatsApp\ Image\ 2023-11-05\ at\ 4.00.26\ AM.jpeg);
  background-size: cover;
  background-position: center;
  width: 300px;
  height: 300px;
  border-radius: 5px;
}

.ContenidoSobreMi {
  margin-left: 12%;
  width: auto;
}

.BotonSobreMi {
  background-color: white;
  border: 2px solid black;
  border-radius: 20px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s;
  margin-top: 20px;
}

.BotonSobreMi:hover {
  background-color: rgb(141, 255, 84);
  font-size: 1.1em
}

.BotonSobreMi a {
  text-decoration: none;
  color: black;
}

.tituloSOBREMI h1 {
  margin-bottom: 20px;
  margin-top: 0;
}

.SaludoSOBRE h2 {
  font-size: 30px;
}


/* Estilos para la sección "Servicios" */
.SERVICIOS {
  text-align: center;
  width: 100%;
  background-color: #e2e2e2;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 140vh;
  scroll-margin-top: 5ex;
}

.TituloMisServicios h1 {
  font-size: 1.5rem;
  font-weight: bold;
  width: 100%;
  text-align: center;
  margin: 10% 0 2% 0;
  text-decoration: underline #acacac 5px;
}

.CajasServicios {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 90%;
  height: 100vh;
  gap: 3.5%;
  margin-bottom: 8%;
  margin-top: 3%;

}

.SERVICIOS article {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.ICONOcaja {
  background-color: #e2e2e2;
  border-radius: 50vh;
  width: 18%;
  height: 23%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.ICONOcaja i {
  color: #0078d4;
  margin-top: 8%;
}

.CajaDiseño,
.CajaProgramacion,
.CajaPosicionamiento,
.CajaBaseDatos,
.CajaDISGrafico,
.CajaConsultor {
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  padding: 20px;
  margin: 20px;
}

.CajasServicios i {
  font-size: 48px;
  color: #0078d4;
  margin-bottom: 10px;
}

.lineasCAJAS {
  border: 1px solid #0078d4;
  width: 70%;
  margin: 10px auto;
}


/* Estilos para la sección "Habilidades" */
.HABILIDADES {
  text-align: center;
  background-image: url(./imagenes/wallpaper_1366x768_keepcalm-1-768x431.jpg);
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  margin: 0;
  height: 120vh;
  scroll-margin-top: 5ex;
}

.HABILIDADES article {
  display: flex;
  flex-direction: column;
  margin: 0 25vw;
  background-color: rgba(0, 0, 0, 0);
}

.ContenedorHABILIDADES {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin: 5% 0;
}

.HabilidadesTitulo {
  width: 100%;
  text-align: center;
  margin: 0 0 10% 0;
  top: 0;
}

.HabilidadesTitulo h1 {
  font-size: 1.5rem;
  font-weight: bold;
  color: white;
}

.HABILIDADcuadros {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  padding: 20px;
  margin: 0 20px;
}

.HABtext {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 14px;
  color: white;
}

.HABtext i {
  font-size: 24px;
  color: white;
  margin-right: 10px;
}

.progressBar progress {
  background-color: blue;
  height: 1.4vh;
  width: 100%;
  transition: width 1s;
}


/* Estilos para la sección "Portafolio" */
.PORTAFOLIO {
  padding: 3% 10%;
  scroll-margin-top: 5ex;
}

.TituloMisProyectos {
  font-size: 1.3rem;
  font-weight: bold;
  width: 100%;
  text-align: center;
  margin: 5% 0;
  text-decoration: underline #acacac 5px;
}

.PROYECTOSpadre {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 100%;
  gap: 5% 3%;
  margin-bottom: 8%;
}

.ProyIMG {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 32vh;
  border: rgba(2, 2, 2, 0.678) solid 1px;
  filter: grayscale(100%);
  transition: filter 0.5s;
}

.ProyIMG:hover {
  filter: grayscale(0%);
}

.ProyIMG img {
  width: 100%;
  height: 100%;
}

.descProyecto {
  color: rgb(255, 255, 255);
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 1% 3%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.731);
  transform: translateY(100%);
  transition: 0.5s;
  opacity: 0;
}

.ProyIMG:hover .descProyecto {
  transform: translateY(0%);
  opacity: 1;
}

.descProyecto h2 {
  color: #ff797e;
}


/* Estilos para la sección "Contacto" */
.CONTACTO {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #e2e2e2;
  scroll-margin-top: 5ex;
}

.contactoPAD {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-bottom: 10%;
}

.Contactanos {
  font-size: 1.2rem;
  font-weight: bold;
  width: 100%;
  text-align: center;
  margin: 6% 0 2% 0;
  text-decoration: underline #acacac 5px;
}

.Contactanos h1 {
  color: black;
}

.CONTconten {
  width: 100%;
}

form {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin: 0 10%;
}

.NombreYDireccion {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 1.5%;
  gap: 3.5%;
}

.nombreingreso,
.correoingreso {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

input[name="nombre"],
input[name="email"] {
  width: 100%;
  height: 55px;
  border: 1px solid #adadad;
  border-radius: 20px;
  padding: 0 4%;
  font-size: 1rem;
  font-weight: 500;
}

input[name="nombre"]:focus,
input[name="email"]:focus,
input[name="tema"]:focus,
textarea:focus {
  outline: none;
  border: 1px solid #f0454b;
}

.TemaCONTAC,
.TuMensaje {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 1.5%;
}

input[name="tema"] {
  width: 100%;
  height: 55px;
  border: 1px solid #adadad;
  border-radius: 20px;
  padding: 0 2%;
  font-size: 1rem;
  font-weight: 500;
}

textarea {
  width: 100%;
  height: 150px;
  border: 1px solid #adadad;
  border-radius: 20px;
  padding: 2%;
  font-size: 1rem;
  font-weight: 500;
}

.BotonEnviarMensaje {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.BTNenviarM a {
  text-decoration: none;
  color: #000000;
}

.BotonEnviarMensaje button {
  width: 180px;
  height: 45px;
  border: 1px solid #adadad;
  border-radius: 45px;
  transition: all 0.4s;
  cursor: pointer;
  background: rgba(255, 255, 255, 0.626);
  font-size: 1em;
}

.BotonEnviarMensaje button:hover {
  background: #e3313763;
  font-size: 1.2em;
}

.BotonEnviarMensaje button:active {
  transform: scale(0.95);
}

/* Estilos para el pie de página (footer) */
footer {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 13vh;
  background-color: #333;
  color: white;
  text-align: center;
  padding: 10px 0;
}

.FOOTpad {
  width: 90%;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.DerechosFOOTER {
  font-size: 1rem;
  color: white;
  padding: 1% 0;
  text-align: center;
}

.redesFOOTER ul {
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  list-style: none;
}

.redesFOOTER li {
  font-size: 1.8rem;
  margin: 0 10px;
}

.redesFOOTER li a {
  text-decoration: none;
  color: white;
}

.redesFOOTER ul li a:hover {
  transition: 0.8s;
  color: #f0454b;
}

footer a {
  color: white;
}

footer a:hover {
  color: #0078d4;
}

/*  RESPONSIVE  */

/* Estilos para pantallas más pequeñas que 1242px */

@media screen and (max-width: 1260px) {
  .headerDIV {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20%;
  }

  .headerRED {
    width: 20%;
  }

  .SobremiDIVP {
    display: flex;
    justify-content: center;
    width: 80%;
    gap: 6%;
  }

  .ImagenPersonal {
    width: 45vw;
    height: 25vw;
  }

  .SERVICIOS{
    height: 100vw;
  }

  .ICONOcaja {
    border-radius: 30vw;
    width: 23%;
    height: 20%;
  }

  .PROYECTOSpadre{
    height: 180vw;
  
  }
}

/* Estilos para pantallas más pequeñas que 1090px */

@media screen and (max-width: 1090px) {
  nav {
    font-size: 1.1rem;
  }

  .INIsec {
    width: 80%;
    text-align: center;
  }

  .INIsec h1 {
    font-size: 2.5em;
    margin-bottom: 3%;
  }

  .INIsec h3 {
    font-size: 1em;
    margin-bottom: 2%;
  }

  .INIsec p {
    font-size: 1em;
    margin-bottom: 3%;
  }

  .INIsec button {
    width: auto;
    height: auto;
    font-size: 1em;
  }

  .INIsec button:hover {
    font-size: 1.1em;
  }

  .NombrePRESEN {
    font-size: 1.2em;
  }

  .headerDIV {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 25%;
  }

  .headerLINK {
    width: 50%;
  }

  .headerRED {
    width: 25%;
  }

  .SobremiDIVP {
    display: flex;
    justify-content: center;
    gap: 2%;
    width: 90%;
  }

  .ImagenPersonal {
    width: 42vw;
    height: 28vw;
    margin-bottom: 4%;
  }

  .SERVICIOS{
    height: 150vw;
  }

  .TituloMisServicios {
    font-size: 1.2em;
  }

  .CajasServicios {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 90%;
    height: auto;
    gap: 3.5%;
    margin-bottom: 8%;
    margin-top: 3%;
  }

  .ICONOcaja {
    border-radius: 30vw;
    width: 17%;
    height: 23%;
  }

  .CajaDiseño {
    padding: 7% 0;
  }

  .PROYECTOSpadre {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    gap: 2% 3%;
    margin-bottom: 3% 0 15% 0;
    height: 200vh;
  }

  .ProyIMG {
    height: 25vh;
  }

  .Contactanos {
    font-size: 1.2em;
    margin-bottom: 3%;
  }

  form {
    margin: 0 5%;
  }

  input[name="nombre"],
  input[name="email"] {
    height: 55px;
    font-size: 1rem;
  }

  input[name="tema"] {
    height: 50px;
    font-size: 1rem;
  }

  textarea {
    height: 120px;
    font-size: 1rem;
  }

  .BTNenviarM {
    width: 120px;
    height: 37px;
    font-size: 1em;
  }

  .BTNenviarM:hover {
    font-size: 1.1em;
  }

  .DerechosFOOTER {
    font-size: 1em;
  }

  .redesFOOTER li {
    font-size: 1.5em;
    margin: 0 5px;
  }
}


/* Estilos para pantallas más pequeñas que 880px */

@media screen and (max-width: 880px) {
  nav {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 8vw;
  }

  .headerDIV {
    margin: 1% 0;
    width: 30%;
  }

  .headerRED {
    width: 30%;
    margin: 0 ;
    
  }

  .headerRED ul {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    
    }

  .headerLINK {
    width: 70%;
  }

  .headerLINK ul {
    flex-direction: row;
    justify-content: space-between;
  }

  .INICIO{
    height: 100vw;
  }

  .SobremiDIVP {
    margin: auto;
    width: 90%;
    height: auto;
  }

  .ImagenPersonal {
    width: 65vw;
    height: 35vw;
    margin-bottom: 4%;
  }

  .SERVICIOS{
    height: 200vw;
  }

  .ICONOcaja {
    border-radius: 30vw;
    width: 20%;
    height: 22%;
  }

}

/* Estilos para pantallas más pequeñas que 780px */

@media screen and (max-width: 780px) {

  .headerDIV {
    width: 20%;
  }

  .headerRED {
    width: 20%;
    
  }

  .SOBRE-MI{
    height: 95vw;
  }

  .SERVICIOS{
    height: 400vw;
  }

  .CajasServicios {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 95%;
  }

  .CajaDiseño {
    padding: 10% 0;
  }

  .ICONOcaja {
    border-radius: 30vw;
    width: 10%;
    height: 27%;
  }

  .HABILIDADES {
    padding: 5% 5%;
  }

  .HABILIDADES article {
    margin: 0 5%;
  }
  .ContenedorHABILIDADES {
    width: 100%;
    margin: 5% 0;
  }

  .PORTAFOLIO {
    padding: 3% 5%;
    height: 550vw;
  }

  .PROYECTOSpadre {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 100%;
    gap: 5vw;
  }

  .ProyIMG {
    height: 50vw;
  }


  .CONTconten {
    width: 100%;
  }

  .NombreYDireccion {
    flex-wrap: wrap;
    flex-direction: column;
  }

  .nombreingreso {
    width: 100%;
    order: 1;
    margin-bottom: 2%;
  }

  .correoingreso {
    width: 100%;
    order: 2;
  }

  .TemaCONTAC {
    width: 100%;
    order: 3;
    margin-bottom: 2%;
  }

  .TuMensaje {
    width: 100%;
    order: 4;
  }

  .BotonEnviarMensaje {
    width: 100%;
    order: 5;
  }
}

/* Estilos para pantallas más pequeñas que 680px */

@media screen and (max-width: 680px) {
  header{
    height: 30vw;
    justify-content: center;
    align-items: center;
  }
  
  nav {
    display: grid;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 30vw;
  }
  .headerDIV {
    width: 100%;
    justify-content: center;
  }

  .headerLINK {
    width: 100%;
    padding: 0;
    justify-content: center;
  }

  .headerLINK a{
    justify-content: center;
    padding: 1vw;
  }

  .headerRED {
    width: 100%;
    justify-content: center;
  }

  .headerRED ul {
    justify-content: center;
    padding: 0;
  }

  .INICIO{
    margin-top: 32.8vw;
    height: 130vw;
  }

  .SOBRE-MI{
    height: 125vw;
    scroll-margin-top: 15ex;
  }

  .SobremiDIVP {
    margin: auto;
    width: 90%;
    height: auto;
  }

  .ImagenPersonal {
    width: 100vw;
    height: 45vw;
    margin-bottom: 4%;
  }

  .SERVICIOS{
    height: 500vw;
    scroll-margin-top: 0;
  }

  .CajasServicios {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 95%;
  }

  .CajaDiseño {
    padding: 10% 0;
  }

  .ICONOcaja {
    border-radius: 30vw;
    width: 11%;
    height: 27%;
  }

  .HABILIDADES {
    padding: 5% 5%;
  }

  .HABILIDADES article {
    margin: 0 5%;
  }
  .ContenedorHABILIDADES {
    width: 100%;
    margin: 5% 0;
  }

  .PORTAFOLIO {
    padding: 3% 5%;
    height: 550vw;
    scroll-margin-top: 25ex;
  }

  .PROYECTOSpadre {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 100%;
    gap: 5vw;
  }

  .ProyIMG {
    height: 50vw;
  }

  .CONTACTO{
    scroll-margin-top: 25ex;
  }
  .CONTconten {
    width: 100%;
  }

  .NombreYDireccion {
    flex-wrap: wrap;
    flex-direction: column;
  }

  .nombreingreso {
    width: 100%;
    order: 1;
    margin-bottom: 2%;
  }

  .correoingreso {
    width: 100%;
    order: 2;
  }

  .TemaCONTAC {
    width: 100%;
    order: 3;
    margin-bottom: 2%;
  }

  .TuMensaje {
    width: 100%;
    order: 4;
  }

  .BotonEnviarMensaje {
    width: 100%;
    order: 5;
  }
}